GameSalad

Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

Publishing Error: ""The dwarfdump binary must exist and be executable: /usr/bin/

dazzlemedazzleme Posts: 152Member
edited 11:02AM in Tech Support
Does anyone know how to resolve this error when publishing?

I just tried publishing an update to one of my apps and during the upload to Apple I get the message ""The dwarfdump binary must exist and be executable: /usr/bin/dwarfdump".

I've restarted my computer, logged into GameSalad from the main GameSalad page instead of when publishing the app, selected the right bundle ID or provisioning profile, and I keep on getting the error. I've published my app successfully under 0.9.1, it's using 0.9.2 that I first encountered this issue.

I've also tried publishing it as a new app and I'm still getting the same error.

I've got Xcode 3.2.5 installed and am running OSX 10.6.6.

Comments

  • dazzlemedazzleme Posts: 152Member
    GsLover said:
    have you tried remaking the app in gamesalad?

    I think it's a bad .app

    Thanks for the suggestion. I certainly *hope* I don't have to rebuild the app. After reading your post, I did use Darren's GS Project Merger to create a new version, tried publishing, and ran into the same error.
  • JohnPapiomitisJohnPapiomitis Posts: 6,256Member
    You get that error when u don't have unix tools installed.
  • dazzlemedazzleme Posts: 152Member
    JohnPapiomitis said:
    You get that error when u don't have unix tools installed.

    Thanks John, it's great to know why it's happening.

    Sorry for my ignorance... aren't Unix tools installed with XCode? I have Xcode 3.2.5 installed on my system. Perhaps I need to configure it somehow? Or delete XCode and reinstall it? I *did* set up GameSalad Viewer since the last time I published to the app store, so maybe I changed something there that caused this.
  • dazzlemedazzleme Posts: 152Member
    Are there perhaps any sous-chefs around that may care to chime in and give me some direction here? I'd really truly be thankful. ;)
  • bgappsbgapps Posts: 183Member
    got the same message as you did. Have no idea why???
  • dazzlemedazzleme Posts: 152Member
    JohnPapiomitis said:
    You get that error when u don't have unix tools installed.

    Well, I've checked my directories and confirmed that there is in fact a Unix Executable File named "dwarfdump" in the path Developer/usr/bin/dwarfdump

    So unless I'm really missing something, I'd say that I have unix tools installed.
This discussion has been closed.